#! /usr/bin/env python

"""
ks_server.py - A simple example of using the krb5socket module
"""
__version__ = '$Revision: 1.1 $'

import ksocket
socket = ksocket

def main():
    s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    s.bind(('', 6333))
    s.set_principal(krb5.get_svc_principal('sample'))
    msg, addr = s.recvfrom(1024)
    print ("Message %s received from" % `msg`), addr
    msg, addr = s.recvfrom(1024, encrypted=1)
    print ("Message %s received from" % `msg`), addr
    s.close()

if __name__ == "__main__":
    main()
